Bug 853728 - glchess does not use GNUChess
glchess does not use GNUChess
Status: CLOSED DUPLICATE of bug 917305
Product: Fedora
Classification: Fedora
Component: glchess (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 09:28 EDT by Jonas Thiem
Modified: 2013-03-05 16:13 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 700194
: 917305 (view as bug list)
Environment:
Last Closed: 2013-03-05 16:13:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make GNOME Chess work with GNU Chess (1.28 KB, patch)
2013-01-17 17:29 EST, Michael Catanzaro
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 665610 None None None 2012-09-02 09:33:00 EDT

  None (edit)
Description Jonas Thiem 2012-09-02 09:28:33 EDT
+++ This bug was initially created as a clone of Bug #700194 +++

Description of problem:

If i start a game with GNUChess as opposite player, it will never use the AI and the opposite is always human, regardless of the settings set in the settings dialog.

Version-Release number of selected component (if applicable):
glchess 3.0.1.1

How reproducible:

Start a game. Make a move as white player. Now black can also be moved.

Actual results:
Black is human.

Expected results:
Black should be GNUChess

--- Additional comment from desintegr@gmail.com on 2011-11-28 12:44:06 EST ---

I also have this problem with Fedora 16 and glchess 3.2.1.

--- Additional comment from desintegr@gmail.com on 2011-11-28 12:46:54 EST ---

I think this bug should be reassigned to gnome-games package.

--- Additional comment from Jes.Sorensen@redhat.com on 2012-03-20 13:41:16 EDT ---

Same problem in Fedora 17 Alpha :(

--- Additional comment from mclasen@redhat.com on 2012-03-20 16:11:05 EDT ---

Sorry for that; looks like this problem has been reported upstream: 
https://bugzilla.gnome.org/show_bug.cgi?id=665610

--- Additional comment from endoflife@fedoraproject.org on 2012-08-06 16:01:29 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from endoflife@fedoraproject.org on 2012-08-06 16:01:54 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Jonas Thiem 2012-09-02 09:28:58 EDT
Since this bug is still present with glchess 3.4.2/GNU Chess 5.08 in Fedora 17, I cloned the old bug (since that is what the automated bug closing thing told me to do). So, the issue is still present despite being apparently reported upstream.
Comment 2 Michael Catanzaro 2013-01-17 17:29:39 EST
Created attachment 680593 [details]
Make GNOME Chess work with GNU Chess

This patch will fix the issue; the problem is trivial, glchess was rewritten in Vala and ever since it has forgotten to tell GNU Chess that it's a GUI (and therefore requires xboard output) instead of a human (to which it gives a prompt).

The patch has been submitted upstream but it hasn't been accepted yet (the maintainer doesn't seem to have much time for GNOME Chess) and there will not be a new 3.6.x release anyway. Since glchess is effectively useless if it can't talk to GNU Chess, can the fix please be applied for Fedora (16)/17/18?

https://bugzilla.gnome.org/show_bug.cgi?id=691031
Comment 3 Dag Odenhall 2013-01-20 18:12:47 EST
Bug still present in F18.
Comment 4 Michael Catanzaro 2013-02-08 15:42:24 EST
Matthias, could we add the patch attached to the upstream bug into F17/F18 -- it's a small patch to get GNOME Chess working again. (Or is there someone else I should poke regarding this?)
Comment 5 Hans de Goede 2013-03-05 16:13:42 EST

*** This bug has been marked as a duplicate of bug 917305 ***

Note You need to log in before you can comment on or make changes to this bug.